from Screens.Screen import Screen
from Components.ConfigList import ConfigListScreen
from Components.config import config, ConfigText, ConfigYesNo, getConfigListEntry
from Components.ActionMap import ActionMap
from Components.Sources.StaticText import StaticText


class MerlinMovieHistorySetup(ConfigListScreen, Screen):
	
	def __init__(self, session):
		Screen.__init__(self, session)
		self.session = session
		self.title = _("Movie History Browser Setup")
		self["actions"] = ActionMap(["WizardActions", "ColorActions"],
		{
			"back": self.keyCancel,
			"red": self.keyCancel,
			"green": self.keySave,

		}, -1)
		self["key_red"] = StaticText(_("Cancel"))
		self["key_green"] = StaticText(_("Save"))
		self["key_yellow"] = StaticText("")
		self["key_blue"] = StaticText("")
		cfglist = [ ]
		cfglist.append(getConfigListEntry(_("Max. history entries:"), config.plugins.moviehistory.max))
		cfglist.append(getConfigListEntry(_("Play movie after selecting:"), config.plugins.moviehistory.playmovie))
		cfglist.append(getConfigListEntry(_("Enabled:"), config.plugins.moviehistory.enabled))
		ConfigListScreen.__init__(self, cfglist, session)

